regina::detail::WeakFaceList< dim, subdim > Class Template Reference
Implementation details

Internal class that stores all subdim-faces in a component or boundary component of a dim-dimensional triangulation. More...

`#include <triangulation/detail/boundarycomponent.h>`

Inheritance diagram for regina::detail::WeakFaceList< dim, subdim >:

## Protected Member Functions

template<int tridim>
void | reorderAndRelabelFaces (Triangulation< tridim > *tri, const std::vector< Face< dim, tridim > *> &tridimFaces) const
| Reorders and relabels all subdim-faces of the given triangulation so that they appear in the same order as the corresponding faces in this list, and so that their vertices are numbered in a corresponding way. More...

## Protected Attributes

std::vector< Face< dim, subdim > * > | faces_
| The list of faces. More...

## Detailed Description

### template<int dim, int subdim>
class regina::detail::WeakFaceList< dim, subdim >

Internal class that stores all subdim-faces in a component or boundary component of a dim-dimensional triangulation.

This class is very basic (hence the name "weak"). In particular:

- the integer returned by Face::index() has no relation to the index of the corresponding face in this list;
- this list makes no attempt to claim and/or manage ownership of the faces that it stores.

Python:
  Not present.

Template Parameters

  dim | the dimension of the underlying triangulation. This must be between 2 and 15 inclusive.
  subdim | the dimension of the faces that this class stores. This must be between 0 and dim-1 inclusive.

## Member Function Documentation

## reorderAndRelabelFaces()

template<int dim, int subdim>
template<int tridim>

void regina::detail::WeakFaceList< dim, subdim >::reorderAndRelabelFaces | ( | Triangulation< tridim > * | tri,
|  | const std::vector< Face< dim, tridim > *> & | tridimFaces
| ) |  | const

inline protected

Reorders and relabels all subdim-faces of the given triangulation so that they appear in the same order as the corresponding faces in this list, and so that their vertices are numbered in a corresponding way.

Precondition
  The subdim-faces of the given triangulation tri are in one-to-one correspondence with the subdim-faces in this list, though not necessarily in the same order. Moreover, for each i and j, this correspondence maps the ith subdim-face of `tri->simplex(j)` to the ith subdim-face of `tridimFaces[j]`.

Template Parameters

  tridim | the dimension of the given triangulation. This must be strictly larger than subdim, but it need not be equal to dim.

Parameters

  tri | a tridim-dimensional triangulation, as described above.
  tridimFaces | a list of tridim-faces that together contain all of the faces in this list, and that are in an ordered one-to-one correspondence with the top-dimensional simplices of tri as described in the precondition above.

## Member Data Documentation

## faces_

template<int dim, int subdim>

std::vector<Face<dim, subdim>*> regina::detail::WeakFaceList< dim, subdim >::faces_

protected

The list of faces.

The documentation for this class was generated from the following file:

- triangulation/detail/boundarycomponent.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).